Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network143.16.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
143.16.0.0
Broadcast address
143.23.255.255
First usable
143.16.0.1
Last usable
143.23.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex 8F100000 · Integer 2400190464 to 2400714751
Reverse DNS zones
16.143.in-addr.arpa
17.143.in-addr.arpa
18.143.in-addr.arpa
19.143.in-addr.arpa
20.143.in-addr.arpa
21.143.in-addr.arpa
22.143.in-addr.arpa
23.143.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001111.00010000.00000000.00000000143.16.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10001111.00010000.00000000.00000000143.16.0.0
Broadcast10001111.00010111.11111111.11111111143.23.255.255
Split into smaller subnets/20

143.16.0.0/13 makes 128 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1143.16.0.0/20143.16.0.1 to 143.16.15.254143.16.15.2554,094
2143.16.16.0/20143.16.16.1 to 143.16.31.254143.16.31.2554,094
3143.16.32.0/20143.16.32.1 to 143.16.47.254143.16.47.2554,094
4143.16.48.0/20143.16.48.1 to 143.16.63.254143.16.63.2554,094
5143.16.64.0/20143.16.64.1 to 143.16.79.254143.16.79.2554,094
6143.16.80.0/20143.16.80.1 to 143.16.95.254143.16.95.2554,094
7143.16.96.0/20143.16.96.1 to 143.16.111.254143.16.111.2554,094
8143.16.112.0/20143.16.112.1 to 143.16.127.254143.16.127.2554,094
9143.16.128.0/20143.16.128.1 to 143.16.143.254143.16.143.2554,094
10143.16.144.0/20143.16.144.1 to 143.16.159.254143.16.159.2554,094
11143.16.160.0/20143.16.160.1 to 143.16.175.254143.16.175.2554,094
12143.16.176.0/20143.16.176.1 to 143.16.191.254143.16.191.2554,094
13143.16.192.0/20143.16.192.1 to 143.16.207.254143.16.207.2554,094
14143.16.208.0/20143.16.208.1 to 143.16.223.254143.16.223.2554,094
15143.16.224.0/20143.16.224.1 to 143.16.239.254143.16.239.2554,094
16143.16.240.0/20143.16.240.1 to 143.16.255.254143.16.255.2554,094
17143.17.0.0/20143.17.0.1 to 143.17.15.254143.17.15.2554,094
18143.17.16.0/20143.17.16.1 to 143.17.31.254143.17.31.2554,094
19143.17.32.0/20143.17.32.1 to 143.17.47.254143.17.47.2554,094
20143.17.48.0/20143.17.48.1 to 143.17.63.254143.17.63.2554,094
21143.17.64.0/20143.17.64.1 to 143.17.79.254143.17.79.2554,094
22143.17.80.0/20143.17.80.1 to 143.17.95.254143.17.95.2554,094
23143.17.96.0/20143.17.96.1 to 143.17.111.254143.17.111.2554,094
24143.17.112.0/20143.17.112.1 to 143.17.127.254143.17.127.2554,094
25143.17.128.0/20143.17.128.1 to 143.17.143.254143.17.143.2554,094
26143.17.144.0/20143.17.144.1 to 143.17.159.254143.17.159.2554,094
27143.17.160.0/20143.17.160.1 to 143.17.175.254143.17.175.2554,094
28143.17.176.0/20143.17.176.1 to 143.17.191.254143.17.191.2554,094
29143.17.192.0/20143.17.192.1 to 143.17.207.254143.17.207.2554,094
30143.17.208.0/20143.17.208.1 to 143.17.223.254143.17.223.2554,094
31143.17.224.0/20143.17.224.1 to 143.17.239.254143.17.239.2554,094
32143.17.240.0/20143.17.240.1 to 143.17.255.254143.17.255.2554,094
33143.18.0.0/20143.18.0.1 to 143.18.15.254143.18.15.2554,094
34143.18.16.0/20143.18.16.1 to 143.18.31.254143.18.31.2554,094
35143.18.32.0/20143.18.32.1 to 143.18.47.254143.18.47.2554,094
36143.18.48.0/20143.18.48.1 to 143.18.63.254143.18.63.2554,094
37143.18.64.0/20143.18.64.1 to 143.18.79.254143.18.79.2554,094
38143.18.80.0/20143.18.80.1 to 143.18.95.254143.18.95.2554,094
39143.18.96.0/20143.18.96.1 to 143.18.111.254143.18.111.2554,094
40143.18.112.0/20143.18.112.1 to 143.18.127.254143.18.127.2554,094
41143.18.128.0/20143.18.128.1 to 143.18.143.254143.18.143.2554,094
42143.18.144.0/20143.18.144.1 to 143.18.159.254143.18.159.2554,094
43143.18.160.0/20143.18.160.1 to 143.18.175.254143.18.175.2554,094
44143.18.176.0/20143.18.176.1 to 143.18.191.254143.18.191.2554,094
45143.18.192.0/20143.18.192.1 to 143.18.207.254143.18.207.2554,094
46143.18.208.0/20143.18.208.1 to 143.18.223.254143.18.223.2554,094
47143.18.224.0/20143.18.224.1 to 143.18.239.254143.18.239.2554,094
48143.18.240.0/20143.18.240.1 to 143.18.255.254143.18.255.2554,094
49143.19.0.0/20143.19.0.1 to 143.19.15.254143.19.15.2554,094
50143.19.16.0/20143.19.16.1 to 143.19.31.254143.19.31.2554,094
51143.19.32.0/20143.19.32.1 to 143.19.47.254143.19.47.2554,094
52143.19.48.0/20143.19.48.1 to 143.19.63.254143.19.63.2554,094
53143.19.64.0/20143.19.64.1 to 143.19.79.254143.19.79.2554,094
54143.19.80.0/20143.19.80.1 to 143.19.95.254143.19.95.2554,094
55143.19.96.0/20143.19.96.1 to 143.19.111.254143.19.111.2554,094
56143.19.112.0/20143.19.112.1 to 143.19.127.254143.19.127.2554,094
57143.19.128.0/20143.19.128.1 to 143.19.143.254143.19.143.2554,094
58143.19.144.0/20143.19.144.1 to 143.19.159.254143.19.159.2554,094
59143.19.160.0/20143.19.160.1 to 143.19.175.254143.19.175.2554,094
60143.19.176.0/20143.19.176.1 to 143.19.191.254143.19.191.2554,094
61143.19.192.0/20143.19.192.1 to 143.19.207.254143.19.207.2554,094
62143.19.208.0/20143.19.208.1 to 143.19.223.254143.19.223.2554,094
63143.19.224.0/20143.19.224.1 to 143.19.239.254143.19.239.2554,094
64143.19.240.0/20143.19.240.1 to 143.19.255.254143.19.255.2554,094
65143.20.0.0/20143.20.0.1 to 143.20.15.254143.20.15.2554,094
66143.20.16.0/20143.20.16.1 to 143.20.31.254143.20.31.2554,094
67143.20.32.0/20143.20.32.1 to 143.20.47.254143.20.47.2554,094
68143.20.48.0/20143.20.48.1 to 143.20.63.254143.20.63.2554,094
69143.20.64.0/20143.20.64.1 to 143.20.79.254143.20.79.2554,094
70143.20.80.0/20143.20.80.1 to 143.20.95.254143.20.95.2554,094
71143.20.96.0/20143.20.96.1 to 143.20.111.254143.20.111.2554,094
72143.20.112.0/20143.20.112.1 to 143.20.127.254143.20.127.2554,094
73143.20.128.0/20143.20.128.1 to 143.20.143.254143.20.143.2554,094
74143.20.144.0/20143.20.144.1 to 143.20.159.254143.20.159.2554,094
75143.20.160.0/20143.20.160.1 to 143.20.175.254143.20.175.2554,094
76143.20.176.0/20143.20.176.1 to 143.20.191.254143.20.191.2554,094
77143.20.192.0/20143.20.192.1 to 143.20.207.254143.20.207.2554,094
78143.20.208.0/20143.20.208.1 to 143.20.223.254143.20.223.2554,094
79143.20.224.0/20143.20.224.1 to 143.20.239.254143.20.239.2554,094
80143.20.240.0/20143.20.240.1 to 143.20.255.254143.20.255.2554,094
81143.21.0.0/20143.21.0.1 to 143.21.15.254143.21.15.2554,094
82143.21.16.0/20143.21.16.1 to 143.21.31.254143.21.31.2554,094
83143.21.32.0/20143.21.32.1 to 143.21.47.254143.21.47.2554,094
84143.21.48.0/20143.21.48.1 to 143.21.63.254143.21.63.2554,094
85143.21.64.0/20143.21.64.1 to 143.21.79.254143.21.79.2554,094
86143.21.80.0/20143.21.80.1 to 143.21.95.254143.21.95.2554,094
87143.21.96.0/20143.21.96.1 to 143.21.111.254143.21.111.2554,094
88143.21.112.0/20143.21.112.1 to 143.21.127.254143.21.127.2554,094
89143.21.128.0/20143.21.128.1 to 143.21.143.254143.21.143.2554,094
90143.21.144.0/20143.21.144.1 to 143.21.159.254143.21.159.2554,094
91143.21.160.0/20143.21.160.1 to 143.21.175.254143.21.175.2554,094
92143.21.176.0/20143.21.176.1 to 143.21.191.254143.21.191.2554,094
93143.21.192.0/20143.21.192.1 to 143.21.207.254143.21.207.2554,094
94143.21.208.0/20143.21.208.1 to 143.21.223.254143.21.223.2554,094
95143.21.224.0/20143.21.224.1 to 143.21.239.254143.21.239.2554,094
96143.21.240.0/20143.21.240.1 to 143.21.255.254143.21.255.2554,094
97143.22.0.0/20143.22.0.1 to 143.22.15.254143.22.15.2554,094
98143.22.16.0/20143.22.16.1 to 143.22.31.254143.22.31.2554,094
99143.22.32.0/20143.22.32.1 to 143.22.47.254143.22.47.2554,094
100143.22.48.0/20143.22.48.1 to 143.22.63.254143.22.63.2554,094
101143.22.64.0/20143.22.64.1 to 143.22.79.254143.22.79.2554,094
102143.22.80.0/20143.22.80.1 to 143.22.95.254143.22.95.2554,094
103143.22.96.0/20143.22.96.1 to 143.22.111.254143.22.111.2554,094
104143.22.112.0/20143.22.112.1 to 143.22.127.254143.22.127.2554,094
105143.22.128.0/20143.22.128.1 to 143.22.143.254143.22.143.2554,094
106143.22.144.0/20143.22.144.1 to 143.22.159.254143.22.159.2554,094
107143.22.160.0/20143.22.160.1 to 143.22.175.254143.22.175.2554,094
108143.22.176.0/20143.22.176.1 to 143.22.191.254143.22.191.2554,094
109143.22.192.0/20143.22.192.1 to 143.22.207.254143.22.207.2554,094
110143.22.208.0/20143.22.208.1 to 143.22.223.254143.22.223.2554,094
111143.22.224.0/20143.22.224.1 to 143.22.239.254143.22.239.2554,094
112143.22.240.0/20143.22.240.1 to 143.22.255.254143.22.255.2554,094
113143.23.0.0/20143.23.0.1 to 143.23.15.254143.23.15.2554,094
114143.23.16.0/20143.23.16.1 to 143.23.31.254143.23.31.2554,094
115143.23.32.0/20143.23.32.1 to 143.23.47.254143.23.47.2554,094
116143.23.48.0/20143.23.48.1 to 143.23.63.254143.23.63.2554,094
117143.23.64.0/20143.23.64.1 to 143.23.79.254143.23.79.2554,094
118143.23.80.0/20143.23.80.1 to 143.23.95.254143.23.95.2554,094
119143.23.96.0/20143.23.96.1 to 143.23.111.254143.23.111.2554,094
120143.23.112.0/20143.23.112.1 to 143.23.127.254143.23.127.2554,094
121143.23.128.0/20143.23.128.1 to 143.23.143.254143.23.143.2554,094
122143.23.144.0/20143.23.144.1 to 143.23.159.254143.23.159.2554,094
123143.23.160.0/20143.23.160.1 to 143.23.175.254143.23.175.2554,094
124143.23.176.0/20143.23.176.1 to 143.23.191.254143.23.191.2554,094
125143.23.192.0/20143.23.192.1 to 143.23.207.254143.23.207.2554,094
126143.23.208.0/20143.23.208.1 to 143.23.223.254143.23.223.2554,094
127143.23.224.0/20143.23.224.1 to 143.23.239.254143.23.239.2554,094
128143.23.240.0/20143.23.240.1 to 143.23.255.254143.23.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses